/* global vc, YoastSEO, _, jQuery */
(function ( $ ) {
	'use strict';
	
	$( window ).on( 'YoastSEO:ready', function () {
		var imageEventString, uxYoast, editorData, relevantData, pluginName, eventsList, uxLoadModuleData;

		relevantData = '';
		editorData = '',
		pluginName = 'uxVendorYoast';
		eventsList = [
			'sync',
			'add',
			'update'
		];
		var contentModification = function ( data ) {
			if(relevantData != ''){
				data += relevantData;
			}
			
			if(editorData !=''){
				data += editorData;
			}
			return data;
		};

		var uxVendorYoast = function () {
			// init
			YoastSEO.app.registerPlugin( pluginName, { status: 'ready' } );
			YoastSEO.app.pluginReady( pluginName );
			YoastSEO.app.registerModification( 'content', contentModification, pluginName, 5 );
		};

		uxYoast = new uxVendorYoast();
		
		var uxLoadModuleDataForSeo = function(){
			var postID = $('#post_ID').val();
			$.post(ajaxurl, {
				'action': 'ux_cb_ajax_load_module_data_for_seo',
				'postID': postID,
				'isFrontend': 'theme'
			}).done(function(result){
				relevantData = result;
				YoastSEO.app.pluginReloaded( pluginName );
			});
		}
		
		var uxParseQuery = function(query){
			var reg = /([^=&\s]+)[=\s]*([^=&\s]*)/g;
			var obj = {};
			while(reg.exec(query)){
				obj[RegExp.$1] = RegExp.$2;
			}
			return obj;
		}
		
		uxLoadModuleData = uxLoadModuleDataForSeo();
		
		$( document ).ajaxComplete(function( event, xhr, settings ) {
			var data = uxParseQuery(decodeURIComponent(settings.data));
					  
			if(data['action'] == 'ux_cb_page_options_save'){
				uxLoadModuleDataForSeo();
			}
		});
		
		if($('.edit-post-layout__content').length){
			$('.edit-post-visual-editor').bind('DOMNodeInserted', function(e) {
				var content = '';
				$('.edit-post-visual-editor').find('[data-block]').each(function(){
					content += $(this).html();
				});
				editorData = content;
			});
		}
	} );
})( window.jQuery );
