<?php
if ( !defined( 'ABSPATH' ) ) {
    die( '-1' );
}

/**
 * UX Content Builder Module field divide.
 */
if ( !function_exists( 'ux_cb_module_field_divide' ) ) {
    function ux_cb_module_field_divide() {
        $divide = array(
            array( 'title' => esc_html__( 'Show Dividing Line', 'bm-builder' ),
                'desc' => '',
                'type' => 'switch',
                'name' => '__ux_cb_module_base_divide',
                'default' => 'off' ),

            array( 'title' => esc_html__( 'Upper dividing Line', 'bm-builder' ),
                'desc' => '',
                'type' => 'switch',
                'name' => '__ux_cb_module_base_divide_upper_line',
                'default' => 'off',
                'ctrl' => '__ux_cb_module_base_divide,on' ),

            array( 'title' => esc_html__( 'Lower dividing Line', 'bm-builder' ),
                'desc' => '',
                'type' => 'switch',
                'name' => '__ux_cb_module_base_divide_lower_line',
                'default' => 'off',
                'ctrl' => '__ux_cb_module_base_divide,on' ),

            array( 'title' => esc_html__( 'Border Width', 'bm-builder' ),
                'desc' => '',
                'type' => 'select',
                'name' => '__ux_cb_module_base_divide_border_width',
                'fields' => array(
                    array( esc_html__( '1', 'bm-builder' ), '1' ),
                    array( esc_html__( '2', 'bm-builder' ), '2' ),
                    array( esc_html__( '3', 'bm-builder' ), '3' ),
                    array( esc_html__( '4', 'bm-builder' ), '4' ),
                    array( esc_html__( '5', 'bm-builder' ), '5' ),
                    array( esc_html__( '6', 'bm-builder' ), '6' ),
                    array( esc_html__( '7', 'bm-builder' ), '7' ),
                    array( esc_html__( '8', 'bm-builder' ), '8' ),
                    array( esc_html__( '9', 'bm-builder' ), '9' ),
                    array( esc_html__( '10', 'bm-builder' ), '10' ),
                ),
                'default' => '3',
                'ctrl' => '__ux_cb_module_base_divide,on' ),

            //BG color
            array( 'title' => esc_html__( 'Line Color', 'bm-builder' ),
                'desc' => '',
                'type' => 'colorPicker',
                'ctrl' => '__ux_cb_module_base_divide,on',
                'name' => '__ux_cb_module_base_divide_line_color' ),

            array( 'title' => esc_html__( 'Spacing to content', 'bm-builder' ),
                'desc' => '',
                'type' => 'multipleInput',
                'default' => array( '', '' ),
                'inputType' => 'number',
                'name' => '__ux_cb_module_base_divide_spacing',
                'style' => 'width: 12em; margin-right: 1em;',
                'col' => 2, //switch
                'place' => array(
                    esc_html__( 'Desktop', 'bm-builder' ),
                    esc_html__( 'Mobile', 'bm-builder' )
                ),
                'ctrl' => '__ux_cb_module_base_divide,on' )
        );
        return $divide;
    }
}

/**
 * UX Content Builder Module base divide frontend module class.
 */
if ( !function_exists( 'ux_cb_module_base_divide_module_inside_class' ) ) {
    function ux_cb_module_base_divide_module_inside_class( $moduleClass, $moduleID, $post_id ) {
        if ( 'on' === get_post_meta( $post_id, '__ux_cb_module_base_divide', true ) ) {
            $moduleClass[] = 'module-line';
            if ( 'on' === get_post_meta( $post_id, '__ux_cb_module_base_divide_upper_line', true ) ) {
                $moduleClass[] = 'module-top-line';
            }
            if ( 'on' === get_post_meta( $post_id, '__ux_cb_module_base_divide_lower_line', true ) ) {
                $moduleClass[] = 'module-bottom-line';
            }

        }

        return $moduleClass;
    }
    add_filter( 'ux_cb_module_template_frontend_module_inside_class', 'ux_cb_module_base_divide_module_inside_class', 10, 3 );
}

/**
 * UX Content Builder Module base divide frontend module style.
 */
if ( !function_exists( 'ux_cb_module_base_divide_module_inside_style' ) ) {
    function ux_cb_module_base_divide_module_inside_style( $moduleStyle, $moduleID, $post_id ) {
        if ( 'on' === get_post_meta( $post_id, '__ux_cb_module_base_divide', true ) ) {
            if ( $borderWidth = get_post_meta( $post_id, '__ux_cb_module_base_divide_border_width', true ) ) {
                $moduleStyle[] = '--line-border: ' . $borderWidth . 'px;';
            }

            if ( $lineColor = get_post_meta( $post_id, '__ux_cb_module_base_divide_line_color', true ) ) {
                $moduleStyle[] = '--line-color: ' . $lineColor . ';';
            }

            if ( $divideSpacing = get_post_meta( $post_id, '__ux_cb_module_base_divide_spacing', true ) ) {
                if ( !is_array( $divideSpacing ) ) {
                    $divideSpacing = array( $divideSpacing, 0 );
                }
                $moduleStyle[] = '--line-spacing: ' . $divideSpacing[ 0 ] . 'px;';
                $moduleStyle[] = '--line-spacing-m: ' . $divideSpacing[ 1 ] . 'px;';
            }
        }

        return $moduleStyle;
    }
    add_filter( 'ux_cb_module_template_frontend_module_inside_style', 'ux_cb_module_base_divide_module_inside_style', 10, 3 );
}
