<?php
if ( ! defined( 'ABSPATH' ) ) {
	die( '-1' );
}

class Ux_Cb_Vendor_YoastSeo {

	protected $parsedContent;

	function __construct() {
		add_action( 'ux_cb_backend_enqueue_scripts', array(
			$this,
			'enqueueJs',
		) );
		add_filter( 'wpseo_sitemap_urlimages', array(
			$this,
			'filterSitemapUrlImages',
		), 10, 2 );
	}

	public function load() {
		if ( class_exists( 'WPSEO_Metabox_CB' ) ) {
			add_filter( 'wpseo_pre_analysis_post_content', array(
				$this,
				'filterResults',
			) );
		}
	}

	public function filterResults( $content ) {
		if ( empty( $this->parsedContent ) ) {
			global $post, $wp_the_query;
			$wp_version = get_bloginfo( 'version' );
			$wp_the_query->post = $post;
			
			do_action( 'ux_cb_vendor_yoastseo_filter_results' );
			$this->parsedContent = do_shortcode( shortcode_unautop( ux_cb_the_content( $content ) ) );
			wp_reset_query();
		}

		return $this->parsedContent;
	}

	public function enqueueJs() {
		wp_enqueue_script( 'vc_vendor_yoast_js', ux_cb_asset_url( 'js/vendors/yoast.js' ), array( 'wp-edit-post' ), UX_CB_VERSION, true );
	}
	
	public function filterSitemapUrlImages( $images, $id ) {
//		if ( empty( $images ) ) {
//			$post = get_post( $id );
//			if ( $post && strpos( $post->post_content, '[vc_row' ) !== false ) {
//				preg_match_all( '/(?:image|images|ids|include)\=\"([^\"]+)\"/', $post->post_content, $matches );
//				foreach ( $matches[1] as $m ) {
//					$ids = explode( ',', $m );
//					foreach ( $ids as $id ) {
//						if ( (int) $id ) {
//							$images[] = array(
//								'src' => wp_get_attachment_url( $id ),
//								'title' => get_the_title( $id ),
//							);
//						}
//					}
//				}
//			}
//		}

		return $images;
	}
}
