<?php
//header setting config fields
if ( ! function_exists( 'seatheme_theme_options_header_fields' ) ) {
	function seatheme_theme_options_header_fields( $fields ) {
		$fields['header'] = array(
			'id' => 'options-header',
			'title' => esc_html__( 'Header', 'sea-theme' ),
			'region' => array(
				array(
					'region-id' => 'header-layout',
					'title'   => esc_html__( 'Header Layout', 'sea-theme' ),
					'section' => array(
						array(
							'group' => array(
								array(
									'items' => array(

										// Menu Style
										array(
											  'type'    => 'imageSelect',
											  'size'    => '90:64',
											  'name'    => 'theme_option_header_layout',
											  'default' => 'horizon-menu-right',
											  'data'    => array( 'position' => 'right bottom' ),
											  'fields'  => array(
												  array( esc_html__( 'Horizon Menu Right', 'sea-theme' ),       		'horizon-menu-right' ),
												  array( esc_html__( 'Horizon Menu Left', 'sea-theme' ),       			'horizon-menu-left' ),
												  array( esc_html__( 'Horizon Menu Center', 'sea-theme' ),      		'horizon-menu-center' ),
												  array( esc_html__( 'Horizon Menu Center - Logo Right', 'sea-theme' ), 'horizon-menu-center-left' ),
												  array( esc_html__( 'Show Menu Icon', 'sea-theme' ),           		'show-menu-icon' ),
												  array( esc_html__( 'Show Menu Icon Left', 'sea-theme' ),      		'show-menu-icon-left' ),
												  array( esc_html__( 'Menu Icon - Popup2', 'sea-theme' ),       		'menu-icon-popup2' ),
												  array( esc_html__( 'Menu Icon Left - Popup2', 'sea-theme' ),      	'menu-icon-popup2-left' ),
												  array( esc_html__( 'Menu Icon - Horizon Menu', 'sea-theme' ), 		'menu-icon-horizon-menu' ),
												  array( esc_html__( 'Menu Icon Left - Horizon Menu', 'sea-theme' ), 	'menu-icon-horizon-menu-left' ),
												  array( esc_html__( 'Menu Justified', 'sea-theme' ),           		'navi-justified' ),
												  array( esc_html__( 'Menu Justified - Logo Right', 'sea-theme' ),  	'navi-justified-r' ),
												  array( esc_html__( 'Menu Corner', 'sea-theme' ),           			'navi-corner' ),
												  array( esc_html__( 'Menu Corner - Logo Right', 'sea-theme' ),     	'navi-corner-r' ),
												  array( esc_html__( 'Menu Icon - Show Menu top', 'sea-theme' ),		'navi-top-menu' ),
												  array( esc_html__( 'Menu Icon Left - Show Menu top', 'sea-theme' ),	'navi-top-menu-r' ),
												  array( esc_html__( 'Menu Icon - Show Menu Right', 'sea-theme' ),		'navi-right-menu' ),
												  array( esc_html__( 'Menu Icon - Show Menu Left', 'sea-theme' ),		'navi-left-menu' ),
												  array( esc_html__( 'Logo Centered', 'sea-theme' ),            		'logo-centered' )
											  ) 
										),

										// Header Menu Left Spacing  
										array('title'   => esc_html__( 'Logo Wrap Width', 'sea-theme' ),
											  'type'    => 'input',
											  'default' => esc_html__( '260', 'sea-theme' ),
											  'style'   => 'width: 102px;',
											  'ctrl' => 'theme_option_header_layout,horizon-menu-center|horizon-menu-center-left',
											  'name'    => 'theme_option_logo_wrap_width' 
										),
											  
										//Logo bottom spacing
										array('title'   => esc_html__( 'Bottom Spacing for Logo', 'sea-theme' ),
											  'type'    => 'input',
											  'default' => esc_html__( '20', 'sea-theme' ),
											  'name'    => 'theme_option_logo_bottom_spacing',
											  'ctrl' => 'theme_option_header_layout,logo-centered',
											  'style'   => 'width: 102px;' 
										)
										
									)
								)
							)
						),
					)
				),

				array(
					'region-id' => 'header-layout2',
					'title' => esc_html__( 'Header Bar Size', 'sea-theme' ),
					'desc'	=> esc_html__( 'Set the header width type, height, padding.', 'sea-theme' ).'<a class="themeoption-more with-tip" href="https://doc.seatheme.net/theme/sea/header/header-style-of-sea-wordpress-theme/#header-size" rel="noopener noreferrer" target="_blank">?</a><span class="themeoption-more-tip"><img class="tip-img" style="width:400px" data-src="https://doc.seatheme.net/wp-content/uploads/2020/10/header-height-padding-preview.jpg"></span>',
					'section' => array(
						array(
							'section-ctrl' => 'theme_option_header_layout,horizon-menu-right|horizon-menu-left|horizon-menu-center|horizon-menu-center-left|show-menu-icon|show-menu-icon-left|menu-icon-popup2|menu-icon-popup2-left|menu-icon-horizon-menu|menu-icon-horizon-menu-left|logo-centered|navi-justified|navi-justified-r|navi-top-menu|navi-top-menu-r|navi-left-menu|navi-right-menu',
							'title' => esc_html__( 'Header Bar Size', 'sea-theme' ),
							'group' => array(
								array(
									//'group-ctrl' => '',
									'items' => array(
										// Menu Width
										array('title'   => esc_html__( 'Header & Footer Width', 'sea-theme' ),
											  'type'    => 'select',
											  'name'    => 'theme_option_header_width',
											  'style'   => 'width: 132px;',
											  'default' => 'fluid',
											  'fields'  => array( 
												  array( esc_html__( 'Fluid Width', 'sea-theme' ), 'fluid' ),
												  array( esc_html__( 'Fixed Width', 'sea-theme' ), 'fixed' ) 
											  ) 
										), 
				
										// Header Fluid Padding
										array('title'   => esc_html__( 'Header & Footer Fluid Padding', 'sea-theme' ),
											  'desc'	=> esc_html__( 'Please enter a number(e.g. 20), the default is 60', 'sea-theme' ),
											  'type'    => 'input',
											  'name'    => 'theme_option_header_padding',
											  'ctrl' => 'theme_option_header_width,fluid',
											  'default' => '',
											  'style'   => 'width: 102px;' ),
									 
											  
										// Header Height
										array('title'   => esc_html__( 'Header Height', 'sea-theme' ),
											'desc'	=> esc_html__( 'Please enter a number(e.g. 100), the default for Desktop is 140, for Mobile is 80', 'sea-theme' ),
											  'type'    => 'multipleInput',
											  'name'    => 'theme_option_header_height', 
											  'style'   => 'width: 102px; margin-right: 1em;',
											  'col'     => 2,
											  'place'   => array( esc_html__( 'Desktop', 'sea-theme' ), esc_html__( 'Mobile', 'sea-theme' ) ) ),
											  
										// Header Bar Sticky Top
										array('title'   => esc_html__( 'Header Bar Sticky', 'sea-theme' ),
											  'type'    => 'select',
											  'style'   => 'width: 218px;',
											  'name'    => 'theme_option_header_sticky',
											  'default' => 'header-sticky-none',
											  'fields'  => array(
												  array( esc_html__( 'None', 'sea-theme' ),                    'header-sticky-none' ),
												  array( esc_html__( 'Always sticky', 'sea-theme' ),           'header-sticky' ),
												  array( esc_html__( 'Sticky when scrolling back', 'sea-theme' ), 'header-sticky-back' )
											  ) ),
											  
										// Header Height
										array('title'   => esc_html__( 'Sticky Header Height', 'sea-theme' ),
											  'type'    => 'multipleInput',
											  'name'    => 'theme_option_header_sticky_height', 
											  'style'   => 'width: 102px; margin-right: 1em;',
											  'col'     => 2,
											  'place'   => array( esc_html__( 'Desktop', 'sea-theme' ), esc_html__( 'Mobile', 'sea-theme' ) ) ),
									 	
									 	
									)
								)
							)
						)					
					)
				),
				array(
					'region-id' => 'header-menu-icon',
					'title' => esc_html__( 'Menu Icon', 'sea-theme' ),
					'section' => array(
						array(                 /* except Menu Corner layout */
							//'section-ctrl' => 'theme_option_header_layout,horizon-menu-right|horizon-menu-left|horizon-menu-center|horizon-menu-center-left|show-menu-icon|show-menu-icon-left|menu-icon-popup2|menu-icon-popup2-left|menu-icon-horizon-menu|menu-icon-horizon-menu-left|logo-centered|navi-justified|navi-justified-r|navi-top-menu|navi-top-menu-r|navi-left-menu|navi-right-menu',
							'group' => array(

								array(
									'items' => array(
				
										// Menu Icon style
										array('title'   => esc_html__( 'Menu Icon Style', 'sea-theme' ),
											  'type'    => 'imageSelect',
											  'size'    => '50:50',
											  'name'    => 'theme_option_menu_icon_style', 
											  'default' => 'menu-icon-default',
											  'fields'  => array(
												  array( esc_html__( 'Default', 'sea-theme' ), 'menu-icon-default' ),
												  array( esc_html__( 'Classic', 'sea-theme' ), 'menu-icon-hamburg' )
											  ) 
										),
									
										//  Menu Icon Container
										array('title'   => esc_html__( 'Menu Icon Height', 'sea-theme' ),
											  'desc'	=> esc_html__( 'Please enter a number(e.g. 20), the default is 26', 'sea-theme' ).'<a class="themeoption-more with-tip" href="https://doc.seatheme.net/theme/sea/header/menu-icon-and-header-icon/#menu-icon" rel="noopener noreferrer" target="_blank">?</a><span class="themeoption-more-tip"><img class="tip-img" data-src="https://doc.seatheme.net/wp-content/uploads/2019/07/sea-themeoption-menuicon-size.jpg"></span>',
											  'type'    => 'multipleInput',
											  'name'    => 'theme_option_menu_icon_height',
											  'style'   => 'width: 102px; margin-right: 1em;',
											  'col'     => 2,
											  'place'   => array( esc_html__( 'Desktop', 'sea-theme' ), esc_html__( 'Mobile', 'sea-theme' ) ),
										),

										//Menu Icon left padding
										array('title'   => esc_html__( 'Left Spacing for Menu Icon', 'sea-theme' ),
											  'type'    => 'multipleInput',
											  'name'    => 'theme_option_menu_icon_left_spacing', 
											  'style'   => 'width: 102px; margin-right: 1em;',
											  'default' => array('20','15'),
											  'col'     => 2, 
											  'place'   => array( esc_html__( 'Desktop', 'sea-theme' ), esc_html__( 'Mobile', 'sea-theme' ) ) 
										)
				 
									)
								) 
/*header icon was here*/
							)
						)
					)
				),
				array(
					'region-id' => 'header-menu-items',
					'title' => esc_html__( 'Menu Items', 'sea-theme' ),
					'section' => array(
						array(                 /* except Menu Corner layout */
							//'section-ctrl' => 'theme_option_header_layout,horizon-menu-right|horizon-menu-left|horizon-menu-center|horizon-menu-center-left|show-menu-icon|show-menu-icon-left|menu-icon-popup2|menu-icon-popup2-left|menu-icon-horizon-menu|menu-icon-horizon-menu-left|logo-centered|navi-justified|navi-justified-r|navi-top-menu|navi-top-menu-r|navi-left-menu|navi-right-menu',
							'group' => array(
								array( /*  Menu Corner layout: Menu items Spacing */
									'group-ctrl' => 'theme_option_header_layout,navi-corner|navi-corner-r',
									'items' => array(
										// Menu Items Padding Top
										array('title'   => esc_html__( 'Menu Items Padding on Top', 'sea-theme' ),
											  'type'    => 'input',
											  'name'    => 'theme_option_corner_menu_padding_top', 
											  'default' => '60',
											  'style'   => 'width: 102px;' 
										),
										// Menu Items Padding Bottom
										array('title'   => esc_html__( 'Menu Items Padding on Bottom', 'sea-theme' ),
											  'type'    => 'input',
											  'name'    => 'theme_option_corner_menu_padding_bottom', 
											  'default' => '60',
											  'style'   => 'width: 102px;' 
										),
										// Menu Items Padding Left/Right
										array('title'   => esc_html__( 'Menu Items Padding on Left/Right', 'sea-theme' ),
											  'type'    => 'input',
											  'name'    => 'theme_option_corner_menu_padding_left_right', 
											  'default' => '60',
											  'style'   => 'width: 102px;' 
										)
									)
								),
								array(
									'group-ctrl' => 'theme_option_header_layout,horizon-menu-right|horizon-menu-left|horizon-menu-center|horizon-menu-center-left|show-menu-icon|show-menu-icon-left|menu-icon-popup2|menu-icon-popup2-left|menu-icon-horizon-menu|menu-icon-horizon-menu-left|logo-centered|navi-justified|navi-justified-r|navi-top-menu|navi-top-menu-r|navi-right-menu|navi-left-menu',
									'items' => array(
				
										// Header Menu Items Spacing Horizontal
										array('title'   => esc_html__( 'Horizontal Spacing for Menu Items on Header', 'sea-theme' ),
											  'type'    => 'multipleInput',
											  'name'    => 'theme_option_menu_item_spacing_h',
											  'style'   => 'width: 102px; margin-right: 1em;',
											  'col'     => 2,
											  'ctrl' => 'theme_option_header_layout,horizon-menu-right|horizon-menu-left|horizon-menu-center|horizon-menu-center-left|logo-centered|menu-icon-horizon-menu|menu-icon-horizon-menu-left',
											  'place'   => array( esc_html__( 'Desktop', 'sea-theme' ), esc_html__( 'Mobile', 'sea-theme' ) ) 
										),

										// Headder Menu Left padding
										array('title'   => esc_html__( 'Left Spacing for Menu Area on Header', 'sea-theme' ),
											  'type'    => 'multipleInput',
											  'name'    => 'theme_option_header_menu_area_left_padding',
											  'style'   => 'width: 102px; margin-right: 1em;',
											  'col'     => 2,
											  'ctrl' => 'theme_option_header_layout,horizon-menu-right|horizon-menu-left|horizon-menu-center|horizon-menu-center-left|menu-icon-horizon-menu|menu-icon-horizon-menu-left',
											  'place'   => array( esc_html__( 'Desktop', 'sea-theme' ), esc_html__( 'Mobile', 'sea-theme' ) ) 
										),

										// Hide Menu Item 
										array('title'   => esc_html__( 'Hide Menu on Header', 'sea-theme' ),
											  'type'    => 'switch',
											  'name'    => 'theme_option_hide_menu',
											  'ctrl' => 'theme_option_header_layout,horizon-menu-right|horizon-menu-left|horizon-menu-center|horizon-menu-center-left|logo-centered',
											  'default' => 'false' 
										)
									)
								),
								array(
									'items' => array(

										// Menu Item Spacing vertical
										array('title'   => esc_html__( 'Vertical Spacing for Menu Items on Expanded Panel', 'sea-theme' ),
						  					  'desc'	=> esc_html__( 'Set the header width type, height, padding.', 'sea-theme' ).'<a class="themeoption-more with-tip" href="https://doc.seatheme.net/theme/sea/header/menu-icon-and-header-icon/#expanded-panel" rel="noopener noreferrer" target="_blank">?</a><span class="themeoption-more-tip"><img class="tip-img" data-src="https://doc.seatheme.net/wp-content/uploads/2019/07/sea-themeoption-expanded-panel2.jpg"></span>',
											  'type'    => 'multipleInput',
											  'name'    => 'theme_option_menu_item_spacing_v',
											  'style'   => 'width: 102px; margin-right: 1em;',
											  'col'     => 2,
											  'place'   => array( esc_html__( 'Desktop', 'sea-theme' ), esc_html__( 'Mobile', 'sea-theme' ) ) ),

										// Menu Item Spacing Horizontal Expanded Panel
										array('title'   => esc_html__( 'Horizontal Spacing for Menu Items on Expanded Panel', 'sea-theme' ),
											  'type'    => 'multipleInput',
											  'col'     => 2,
											  'name'    => 'theme_option_menu_item_spacing_h_expand_panel',
											  'ctrl' => 'theme_option_header_layout,menu-icon-popup2|menu-icon-popup2-left|navi-top-menu|navi-top-menu-r',
											  'style'   => 'width: 102px; margin-right: 1em;' ,
											  'place'   => array( esc_html__( 'Desktop', 'sea-theme' ), esc_html__( 'Mobile', 'sea-theme' ) )
										)
									)
								),
								array(
									'items' => array(

										// Menu Item Hover Effect
										array('title'   => esc_html__( 'Menu Item Mouseover Effect', 'sea-theme' ),
											  'type'    => 'imageSelect',
											  'size'    => '100:50',
											  'name'    => 'theme_option_menu_hover_effect', 
											  'default' => 'menu_hover_default',
											  'fields'  => array(
												  array( esc_html__( 'Default', 'sea-theme' ),  	 'menu-hover-default' ),
												  array( esc_html__( 'Under line 1', 'sea-theme' ),  'menu-hover-underline1' ),
												  array( esc_html__( 'Diagonal line', 'sea-theme' ), 'menu-hover-diagonalline' ),
												  array( esc_html__( 'Camera', 'sea-theme' ),        'menu-hover-camera' )
											  ) 
										), 
				
										// Distance
										array('title'   => esc_html__( 'The Underline Distance from Text', 'sea-theme' ),
											  'default' => esc_html__( '9', 'sea-theme' ),
											  'type'    => 'select',
											  'name'    => 'theme_option_menu_hover_effect_underline_distance',
											  'ctrl' => 'theme_option_menu_hover_effect,menu-hover-underline1',
											  'style'   => 'width: 102px;',
											  'fields'  => array(
												  array( esc_html__( '0', 'sea-theme' ),   ''),
												  array( esc_html__( '1', 'sea-theme' ), '1'),
												  array( esc_html__( '2', 'sea-theme' ), '2'),
												  array( esc_html__( '3', 'sea-theme' ), '3'),
												  array( esc_html__( '4', 'sea-theme' ), '4'),
												  array( esc_html__( '5', 'sea-theme' ), '5'),
												  array( esc_html__( '6', 'sea-theme' ), '6'),
												  array( esc_html__( '7', 'sea-theme' ), '7'),
												  array( esc_html__( '8', 'sea-theme' ), '8'),
												  array( esc_html__( '9', 'sea-theme' ), '9'),
												  array( esc_html__( '10', 'sea-theme' ), '10'),
											  )
										),
				
										// Hover Line Color
										array('title'   => esc_html__( 'Hover Line Color', 'sea-theme' ), 
											  'type'    => 'switchColor',
											  'name'    => 'theme_option_menu_hover_effect_diagonalline_color',
											  'ctrl' => 'theme_option_menu_hover_effect,menu-hover-diagonalline',
											  'style'   => 'width: 200px;' ),
				
										// Hover Line Width
										array('title'   => esc_html__( 'Hover Line Length', 'sea-theme' ),
											  'default' => esc_html__( '70', 'sea-theme' ),
											  'type'    => 'input',
											  'name'    => 'theme_option_menu_hover_effect_diagonalline_width',
											  'ctrl' => 'theme_option_menu_hover_effect,menu-hover-diagonalline',
											  'style'   => 'width: 102px;' ),
				
										// Hover Line Border
										array('title'   => esc_html__( 'Hover Line Thickness', 'sea-theme' ),
											  'default' => esc_html__( '4', 'sea-theme' ),
											  'type'    => 'input',
											  'name'    => 'theme_option_menu_hover_effect_diagonalline_border',
											  'ctrl' => 'theme_option_menu_hover_effect,menu-hover-diagonalline',
											  'style'   => 'width: 102px;' )
									)
								) 
							)
						)
					)
				),
				array(
					'region-id' => 'header-social-links',
					'title' => esc_html__( 'Your Social Media Links', 'sea-theme' ),
					'section' => array(
						array(
							'group' => array(

								array(
									'group-ctrl' => 'theme_option_header_layout,horizon-menu-right|horizon-menu-left|horizon-menu-center|horizon-menu-center-left|logo-centered|menu-icon-horizon-menu|menu-icon-horizon-menu-left',
									'items' => array(
				
										// Show Social Links 
										array('title'   => esc_html__( 'Show Social Links on Header', 'sea-theme' ),
											  'type'    => 'switch',
											  'name'    => 'theme_option_show_social', 
											  'default' => 'false' 
										), 
				
										//Social links(on Header) Horizontal spacing
										array('title'   => esc_html__( 'Horizontal Spacing for Social Link Items on Header', 'sea-theme' ),
											  'desc'	=> esc_html__( 'Please enter a number(e.g. 20)', 'sea-theme' ).'<a class="themeoption-more with-tip" href="https://doc.seatheme.net/art/header-of-art/social-links-header-expaned-panel/" rel="noopener noreferrer" target="_blank">?</a><span class="themeoption-more-tip"><img class="tip-img" data-src="https://doc.seatheme.net/wp-content/uploads/2020/10/social-links-header-preview.jpg"></span>',											
											  'type'    => 'multipleInput',
											  'name'    => 'theme_option_social_items_h_spacing',
											  'default' => array('20','10'),
											  'style'   => 'width: 102px; margin-right: 1em;',
											  'col'     => 2,
											  'ctrl'	=> 'theme_option_show_social,true',
											  'place'   => array( esc_html__( 'Desktop', 'sea-theme' ), esc_html__( 'Mobile', 'sea-theme' ) ) 
										),

										//Left padding for Social Link area on Header
										array('title'   => esc_html__( 'Left Spacing for Social Link area on Header', 'sea-theme' ),
											  'type'    => 'multipleInput',
											  'name'    => 'theme_option_sociallinks_area_left_padding',
											  'default' => array('20','10'),
											  'style'   => 'width: 102px; margin-right: 1em;',
											  'col'     => 2,
											  'ctrl'	=> 'theme_option_show_social,true',
											  'place'   => array( esc_html__( 'Desktop', 'sea-theme' ), esc_html__( 'Mobile', 'sea-theme' ) ) 
										),

										//Social Link on header
										array('title'   => esc_html__( 'Social Link Items(on Header) Size', 'sea-theme' ),
											  'type'    => 'multipleInput',
											  'name'    => 'theme_option_header_social_icon_size',
											  'ctrl'	=> 'theme_option_show_social,true',
											  'style'   => 'width: 102px; margin-right: 1em;',
											  'default' => array('24','20'),
											  'col'     => 2,
											  'place'   => array( esc_html__( 'Desktop', 'sea-theme' ), esc_html__( 'Mobile', 'sea-theme' ) ) 
										)
									)
								),

								array(
									'items' => array(

										// Show Social Links on Menu panel
										array('title'   => esc_html__( 'Show Social Links on Expanded Panel', 'sea-theme' ),
											  'type'    => 'switch',
											  'name'    => 'theme_option_show_social_header_menu_panel',
											  'default' => 'false' ),

										//Social links left spacing on Menu panel 
										array('title'   => esc_html__( 'Horizontal Spacing for Social Link Items(on Expanded panel)', 'sea-theme' ),
											  'desc'	=> esc_html__( 'Please enter a number(e.g. 20)', 'sea-theme' ).'<a class="themeoption-more with-tip" href="https://doc.seatheme.net/art/header-of-art/social-links-header-expaned-panel/#expanded-panel" rel="noopener noreferrer" target="_blank">?</a><span class="themeoption-more-tip"><img class="tip-img" data-src="https://doc.seatheme.net/wp-content/uploads/2020/10/social-links-expanded-prev.jpg"></span>',
											  'type'    => 'multipleInput',
											  'name'    => 'theme_option_expand_social_links_h_spacing',
											  'default' => array('20','10'),
											  'style'   => 'width: 102px; margin-right: 1em;',
											  'col'     => 2,
											  'ctrl'	=> 'theme_option_show_social_header_menu_panel,true',
											  'place'   => array( esc_html__( 'Desktop', 'sea-theme' ), esc_html__( 'Mobile', 'sea-theme' ) ) 
										),

										//Social link size on Expanded Panel
										array('title'   => esc_html__( 'Social Link Items(on Expanded panel) Size', 'sea-theme' ),
											  'type'    => 'multipleInput',
											  'name'    => 'theme_option_expand_social_icon_size',
											  'ctrl'	=> 'theme_option_show_social_header_menu_panel,true',
											  'style'   => 'width: 102px; margin-right: 1em;',
											  'default' => array('24','20'),
											  'col'     => 2,
											  'place'   => array( esc_html__( 'Desktop', 'sea-theme' ), esc_html__( 'Mobile', 'sea-theme' ) ) 
										) 
									)
								)
							)
						)
					)
				),
				array(
					'region-id' => 'tagline',
					'title' => esc_html__( 'Tagline', 'sea-theme' ),
					'section' => array(
						array(
							'group' => array(

								array(
									'items' => array(

										// Enable Tagline
										array('title'   => esc_html__( 'Show Tagline', 'sea-theme' ),
											  'type'    => 'switch',
											  'desc'    =>  esc_html__( 'It will be shown near Logo. ', 'sea-theme' ),
											  'name'    => 'theme_option_show_tagline',
											  'default' => 'false' 
										), 
				
										// Tagline Text
										array('title'   => esc_html__( 'Tagline Text', 'sea-theme' ),
											 'desc'    =>  esc_html__( 'It will show the default tagline(Settings/General) if it is empty', 'sea-theme' ),
											 'ctrl'	=> 'theme_option_show_tagline,true',
											  'type'    => 'input',
											  'name'    => 'theme_option_text_tagline' ),

										// Tagline Position
										array('title'   => esc_html__( 'Tagline Position', 'sea-theme' ),
											  'type'    => 'select',
											  'style'   => 'width: 218px;',
											  'name'    => 'theme_option_text_tagline_position',
											  'default' => 'after-logo',
											  'ctrl'	=> 'theme_option_show_tagline,true',
											  'fields'  => array(
												  array( esc_html__( 'After the Logo', 'sea-theme' ),     'after-logo' ),
												  array( esc_html__( 'Below the Logo', 'sea-theme' ),     'below-logo' ),
												  array( esc_html__( 'Above the Logo', 'sea-theme' ),     'above-logo' ),
												  array( esc_html__( 'Before the Logo', 'sea-theme' ),    'before-logo' )
											  ) ),

										// Tagline Left Spacing
										array('title'   => esc_html__( 'Tagline Position Left Spacing', 'sea-theme' ),
											  'type'    => 'multipleInput',
											  'name'    => 'theme_option_tagline_left_spacing', 
											  'ctrl'	=> 'theme_option_show_tagline,true',
											  'style'   => 'width: 102px; margin-right: 1em;',
											  'default' => array('20','15'),
											  'col'     => 2,
											  'place'   => array( esc_html__( 'Desktop', 'sea-theme' ), esc_html__( 'Mobile', 'sea-theme' ) ) ),

										// Tagline Top Spacing
										array('title'   => esc_html__( 'Tagline Position Top Spacing', 'sea-theme' ),
											  'type'    => 'multipleInput',
											  'name'    => 'theme_option_tagline_top_spacing',
											  'ctrl'	=> 'theme_option_show_tagline,true',
											  'style'   => 'width: 102px; margin-right: 1em;', 
											  'col'     => 2,
											  'place'   => array( esc_html__( 'Desktop', 'sea-theme' ), esc_html__( 'Mobile', 'sea-theme' ) ) ),

										// Tagline Bottom Spacing
										array('title'   => esc_html__( 'Tagline Position Bottom Spacing', 'sea-theme' ),
											  'type'    => 'multipleInput',
											  'name'    => 'theme_option_tagline_bottom_spacing',
											  'ctrl'	=> 'theme_option_show_tagline,true',
											  'style'   => 'width: 102px; margin-right: 1em;', 
											  'col'     => 2,
											  'place'   => array( esc_html__( 'Desktop', 'sea-theme' ), esc_html__( 'Mobile', 'sea-theme' ) ) ),

										// Tagline Right Spacing
										array('title'   => esc_html__( 'Tagline Position Right Spacing', 'sea-theme' ),
											  'type'    => 'multipleInput',
											  'name'    => 'theme_option_tagline_right_spacing',
											  'ctrl'	=> 'theme_option_show_tagline,true',
											  'style'   => 'width: 102px; margin-right: 1em;', 
											  'col'     => 2,
											  'place'   => array( esc_html__( 'Desktop', 'sea-theme' ), esc_html__( 'Mobile', 'sea-theme' ) ) ),

										// Hide Tagline on Mobile
										array('title'   => esc_html__( 'Hide Tagline on the Mobile', 'sea-theme' ),
											  'type'    => 'switch', 
											  'name'    => 'theme_option_hide_tagline_mobile',
											  'ctrl'	=> 'theme_option_show_tagline,true',
											  'default' => 'false' 
										), 
				 
									)
								)	 
							)
						)
					)
				),

				array(
					'region-id' => 'header-expanded-panel',
					'title' => esc_html__( 'Expanded Panel', 'sea-theme' ),
					'desc' => esc_html__( 'The Expanded Panel is the slide-out menu panel when the visitor click the Menu icon.', 'sea-theme' ),
					'section' => array(
						array(
							'group' => array(
								array(
									'items' => array(
				
										//Menu algin on Menu panel
										array('title'   => esc_html__( 'Menu Items List Align', 'sea-theme' ),
											  'type'    => 'select',
											  'name'    => 'theme_option_menu_align_on_expanded_menu_panel',
											  'style'   => 'width: 102px;',
											  'fields'  => array(
												  array( esc_html__( 'Left', 'sea-theme' ),   ''),
												  array( esc_html__( 'Center', 'sea-theme' ), 'menu-panel-align-center'),
												  array( esc_html__( 'Right', 'sea-theme' ), 'menu-panel-align-right')
											  ) ),

										//The Elements Layout at the bottom of Expanded Panle
										array('title'   => esc_html__( 'Expanded Panle Bottom Layout', 'sea-theme' ),
											  'type'    => 'imageSelect',
											  'size'    => '90:64',
											  'name'    => 'theme_option_menu_panel_bottom_layout',
											  'default' => 'horizon-menu-right',
											  'data'    => array( 'position' => 'right bottom' ),
											  'default' => 'menu-panel-bottom-layout-default',
											  'fields'  => array(
												  array( esc_html__( 'Left Search + Right Social Links', 'sea-theme' ),   'menu-panel-bottom-layout-default'),
												  array( esc_html__( 'Left Social Links + Right Search', 'sea-theme' ), 'menu-panel-bottom-layout-b'),
												  array( esc_html__( 'Centered', 'sea-theme' ), 'menu-panel-bottom-centered')
											  ) 
										),

										// Show Search Button on Menu panel
										array('title'   => esc_html__( 'Show Search on Expanded Panel', 'sea-theme' ),
											  'type'    => 'switch',
											  'name'    => 'theme_option_show_search_on_expanded_menu_panel',
											  'default' => 'false' 
										),

										//Search Icon Size
										array('title'   => esc_html__( 'Search Icon Size', 'sea-theme' ),
											  'desc'	=> esc_html__( 'Please enter a number(e.g. 20), the default is the same as the content font size', 'sea-theme' ),
											  'type'    => 'multipleInput',
											  'name'    => 'theme_option_search_icon_size',
											  'ctrl'	=> 'theme_option_show_search_on_expanded_menu_panel|true', 
											  'style'   => 'width: 102px; margin-right: 1em;',
											  'col'     => 2,
											  'place'   => array( esc_html__( 'Desktop', 'sea-theme' ), esc_html__( 'Mobile', 'sea-theme' ) ) ),
										
									)
								)
							)
						)
					)
				),

				array(
					'region-id' => 'header-icon',
					'title' => esc_html__( 'Header Icon', 'sea-theme' ),
					'section' => array(
						array(
						 	'group' => array(

								array( /* except Menu Corner layout */
									'group-ctrl' => 'theme_option_header_layout,horizon-menu-right|horizon-menu-left|horizon-menu-center|horizon-menu-center-left|show-menu-icon|show-menu-icon-left|menu-icon-popup2|menu-icon-popup2-left|menu-icon-horizon-menu|menu-icon-horizon-menu-left|logo-centered|navi-justified|navi-justified-r|navi-top-menu|navi-top-menu-r|navi-right-menu|navi-left-menu',
									'items' => array(
				
										// Show Header Icon
										array('title'   => esc_html__( 'Show Header Icon', 'sea-theme' ),
											  'type'    => 'switch',
											  'name'    => 'theme_option_portfolio_icon',
											  'default' => 'false' 
										),
				
										// Header Icon style
										array('title'   => esc_html__( 'Header Icon Style', 'sea-theme' ),
											  'type'    => 'imageSelect',
											  'size'    => '50:50',
											  'name'    => 'theme_option_header_icon_style', 
											  'default' => 'header-icon-default',
											  'ctrl' => 'theme_option_portfolio_icon,true',
											  'fields'  => array(
												  array( esc_html__( 'Default','sea-theme' ), 'header-icon-default' ),
												  array( esc_html__( 'Classic','sea-theme' ), 'header-icon-classic' )
											  ) 
										),
											  
										// Choose a Page for Header Icon
										array('title'   => esc_html__( 'Choose a Page for Header Icon to Pop-up', 'sea-theme' ),
											 'desc'	=> esc_html__( 'Please select a Page for the Pop-up panel.', 'sea-theme' ).'<a class="themeoption-more" href="https://doc.seatheme.net/theme/sea/header/menu-icon-and-header-icon/#choose-a-page-for-header-icon" rel="noopener noreferrer" target="_blank">?</a>',																						
											  'type'    => 'post',
											  'pType'   => 'page',
											  'name'    => 'theme_option_show_portfolio_icon_page_id',
											  'ctrl' => 'theme_option_portfolio_icon,true',
											  'default' => 0 
										),
				
										// Header Icon height
										array('title'   => esc_html__( 'Header Icon Height', 'sea-theme' ),
											  'desc'	=> esc_html__( 'Please enter a number(e.g. 20), the default is 26', 'sea-theme' ).'<a class="themeoption-more with-tip" href="https://doc.seatheme.net/theme/sea/header/menu-icon-and-header-icon/#header-icon-size" rel="noopener noreferrer" target="_blank">?</a><span class="themeoption-more-tip"><img class="tip-img" data-src="https://doc.seatheme.net/wp-content/uploads/2020/10/header-icon-left-spacing.jpg"></span>',											
											  'type'    => 'multipleInput',
											  'name'    => 'theme_option_portfolio_icon_height',
											  'style'   => 'width: 102px; margin-right: 1em;',
											  'col'     => 2,
											  'ctrl' => 'theme_option_portfolio_icon,true',
											  'place'   => array( esc_html__( 'Desktop', 'sea-theme' ), esc_html__( 'Mobile', 'sea-theme' ) ) 
										),

										//Header Icon left padding
										array('title'   => esc_html__( 'Left Spacing for Header Icon', 'sea-theme' ),
											  'type'    => 'multipleInput',
											  'name'    => 'theme_option_portfolio_icon_left_spacing', 
											  'style'   => 'width: 102px; margin-right: 1em;',
											  'default' => array('20','15'),
											  'col'     => 2,
											  'ctrl' => 'theme_option_portfolio_icon,true',
											  'place'   => array( esc_html__( 'Desktop', 'sea-theme' ), esc_html__( 'Mobile', 'sea-theme' ) ) 
										)
									)
								)
							)
						)
					)
				),

 				array(
					'region-id' => 'header-layout-mobile',
					'title' => esc_html__( 'Header for Mobile', 'sea-theme' ),
					'section' => array(
						array(
							'group' => array(
								array(
									'items' => array(
									
										// Menu Style
										array('title'   => esc_html__( 'Header Layout for Mobile', 'sea-theme' ),
											'desc'	=> esc_html__( 'Please select a Header layout for mobile.', 'sea-theme' ).'<a class="themeoption-more" href="https://doc.seatheme.net/theme/sea/header/header-style-of-sea-wordpress-theme/#header-layout-for-mobile" rel="noopener noreferrer" target="_blank">?</a>',
											  'type'    => 'select', 
											  'name'    => 'theme_option_header_layout_mobile',
											  'default' => 'show-menu-icon-mobile', 
											  'fields'  => array(
												  array( esc_html__( 'Show Menu Icon', 'sea-theme' ),     'show-menu-icon-mobile' ),
												  array( esc_html__( 'Show Menu Items on Header', 'sea-theme' ), 'show-menu-item-mobile' ),
												  array( esc_html__( 'Show Menu Items on Header - Logo Centered', 'sea-theme' ),      'logo-centered-mobile' )
											  ) )
									)
								),
								array(
									'group-ctrl' => 'theme_option_header_layout_mobile,logo-centered-mobile',
									'items' => array(
				
										//Logo bottom spacing mobile
										array('title'   => esc_html__( 'Bottom Spacing for Logo for Mobile', 'sea-theme' ),
											  'type'    => 'input',
											  'name'    => 'theme_option_logo_bottom_spacing_mobile', 
											  'style'   => 'width: 102px;' )
									)
								),
								array(
									'items' => array(
				
										// Show Social Links on mobile
										array('title'   => esc_html__( 'Show Social Links(on Header) for Mobile', 'sea-theme' ),
											  'type'    => 'switch',
											  'name'    => 'theme_option_show_social_header_mobile',
											  'default' => 'false' )
									)
								),
								array(
									'group-ctrl' => 'theme_option_portfolio_icon,true',
									'items' => array(
				
										// Show Portfolio Icon Mobile
										array('title'   => esc_html__( 'Show Header Icon for Mobile', 'sea-theme' ),
											  'type'    => 'switch',
											  'name'    => 'theme_option_portfolio_icon_mobile',
											  'default' => 'false' )
									)
								)
							)
						)
					)
				)
			)
		);
		
		return $fields;
	}
	add_filter( 'seatheme_theme_options_fields', 'seatheme_theme_options_header_fields' );
}